Bug 527708 - Force support of xz in coming versions (>= 1.50)
Summary: Force support of xz in coming versions (>= 1.50)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: diffstat
Version: 11
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-07 12:47 UTC by Moritz Barsnick
Modified: 2009-12-01 04:15 UTC (History)
1 user (show)

Fixed In Version: 1.51-1.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-01 04:15:09 UTC
Type: ---


Attachments (Terms of Use)

Description Moritz Barsnick 2009-10-07 12:47:36 UTC
Description of problem:
If I understand configure.in and source correctly, diffstat detects support for gzip, bzip2 and lzcat (lzma, xz) at build time through the presence of programs. If these are not present, the support in the source is disabled.

gzip and bzip2 belong to the Fedora minimum build environment.
https://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2
xz (for lzcat) does not.

Version-Release number of selected component (if applicable):
1.43-10

How reproducible:
Will be as soon as >= 1.50 is packaged.

Additional info:
A BR for xz should suffice to pull in the support. A "Requires:" is not necessary if the user doesn't use this feature, i.e. the tool will still work for anything else but this format.

Comment 1 Fedora Update System 2009-10-31 14:38:47 UTC
diffstat-1.50-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/diffstat-1.50-1.fc11

Comment 2 Fedora Update System 2009-11-04 12:01:28 UTC
diffstat-1.50-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update diffstat'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10899

Comment 3 Fedora Update System 2009-11-10 17:44:20 UTC
diffstat-1.51-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update diffstat'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10899

Comment 4 Fedora Update System 2009-12-01 04:14:56 UTC
diffstat-1.51-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.